%global _empty_manifest_terminate_build 0
%global pypi_name sphinx-copybutton

Name:           python-%{pypi_name}
Version:        0.5.2
Release:        1
Summary:        A small sphinx extension to add a "copy" button to code blocks.


License:        MIT
URL:            https://github.com/executablebooks/sphinx-copybutton
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling
BuildRequires:  python3-virtualenv
BuildRequires:  python3-poetry-core

%description
A small sphinx extension to add a "copy" button to code blocks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A small sphinx extension to add a "copy" button to code blocks.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/sphinx_copybutton/*
%{python3_sitelib}/sphinx_copybutton*.dist-info/

%changelog
* Mon Jul 31 2023 zoujiancang<jczou@isoftstone.com> - 0.5.2-1
- Initial package

